com.trendmicro.ds.platform.rest.object

## Class ListReportTemplatesResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.ListReportTemplatesResponse

-     public class ListReportTemplatesResponse
      extends java.lang.Object

  Response object for the ListReportTemplatesResponse API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListReportTemplatesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListReportTemplatesResponse` | `addReportTemplate(ReportTemplate reportTemplate)` Add a report template.
    `java.util.List<ReportTemplate>` | `getReportTemplates()` Get the list of report templates.
    `void` | `setReportTemplates(java.util.List<ReportTemplate> reportTemplates)` Set the list of report templates.
    `ListReportTemplatesResponse` | `withReportTemplates(java.util.List<ReportTemplate> reportTemplates)` Set the list of report templates.
    `ListReportTemplatesResponse` | `withReportTemplates(ReportTemplate... reportTemplates)` Set the list of report templates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListReportTemplatesResponse

          public ListReportTemplatesResponse()

  - ### Method Detail

    - #### getReportTemplates

          public java.util.List<ReportTemplate> getReportTemplates()

      Get the list of report templates.
      Returns:
        the list of report templates.

    - #### setReportTemplates

          public void setReportTemplates(java.util.List<ReportTemplate> reportTemplates)

      Set the list of report templates.
      Parameters:
        `reportTemplates` - the list of report templates.

    - #### withReportTemplates

          public ListReportTemplatesResponse withReportTemplates(java.util.List<ReportTemplate> reportTemplates)

      Set the list of report templates.
      Parameters:
        `reportTemplates` - the list of report templates.
      Returns:
        the updated ListReportNamesResponse object.

    - #### withReportTemplates

          public ListReportTemplatesResponse withReportTemplates(ReportTemplate... reportTemplates)

      Set the list of report templates.
      Parameters:
        `reportTemplates` - the list of report templates.
      Returns:
        the updated ListReportNamesResponse object.

    - #### addReportTemplate

          public ListReportTemplatesResponse addReportTemplate(ReportTemplate reportTemplate)

      Add a report template.
      Parameters:
        `reportTemplate` - the report template to add.
      Returns:
        the updated ListReportNamesResponse object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.